module.exports = {
  configureWebpack: config => {
    if (process.env.NODE_ENV === 'development') {
      config.devServer = {
        overlay: { warning: false, error: true },
        proxy: {
          '/api': {
            target: 'http://coop.dev9302.cn',
            pathRewrite: { '^/api': '' }
          }
        }
      }
    }
  },
  chainWebpack: config => {
    config.module
      .rule('eslint')
      .use('eslint-loader')
      .tap(options => {
        options.options = {
          failOnError: false
        }
      })
  }
}
